%define name	kbarcode
%define version	2.0.5
%define release	%mkrel 1

Summary:	A barcode and label printing application for KDE
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
URL:		http://www.kbarcode.net
Group:		Publishing
Source0:	http://ovh.dl.sourceforge.net/sourceforge/kbarcode/%{name}-%{version}.tar.bz2
Source1:	%{name}_16.png
Source2:	%{name}_32.png
Source3:	%{name}_48.png
Source4:	%{name}_1.4.0.pdf
Patch1:		%{name}-1.8.0-fileplugin.patch.bz2
Patch2:         %{name}-1.9.7-fix-include.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}
BuildRequires:	kdelibs-devel
BuildRequires:	chrpath
BuildRequires:  barcode-devel
Requires:	barcode
Requires:	ghostscript

%description
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
KBarcode comes with an easy to use WYSIWYG label designer, a setup
wizard, batch import of labels (directly from the delivery note),
thousands of predefined labels, database managment tools and
translations in many languages. Even printing more than 10.000
labels in one go is no problem for KBarcode.
Additionally it is a simply xbarcode replacement for the creation
of barcodes. All major types of barcodes like EAN, UPC, CODE39 and
ISBN are supported.

It has support for databases, and you need a package like libqt3-mysql,
libqt3-odbc or libqt3-psql, together with a specific database installed.
Install the kbarcode-doc package for documentation on how to set it up.

%package doc
Summary:	Documentation for Kbarcode
Group:		Publishing

%description doc
KBarcode is a barcode and label printing application for KDE 3.
It can be used to print every thing from simple business cards
up to complex labels with several barcodes (e.g. article
descriptions).
This package provides documentation for Kbarcode.


%prep
%setup -q -n %name-%{version}

# compile of fileplugin breaks, add libs to link against
%patch1 -p1 -b .libs
%patch2 -p0 -b .include

%build
export QTDIR=%_libdir/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

# update config.{sub,guess} scripts
%{?__cputoolize: %{__cputoolize}}

%ifarch %ix86
CFLAGS="%optflags" CXXFLAGS="`echo %optflags |sed -e 's/-fomit-frame-pointer//' | sed -e 's/-ffast-math//'`" \
%else
CFLAGS="%optflags" CXXFLAGS="%optflags" \
%endif

%configure --with-xinerama \
%if "%{_lib}" != "lib"
    --enable-libsuffix="%(A=%{_lib}; echo ${A/lib/})" \
%endif
	--enable-final 
%make


%install
rm -rf %{buildroot}
%makeinstall_std


install -d %buildroot/%_menudir/
kdedesktop2mdkmenu.pl %{name} Office/Accessories %buildroot/%_datadir/applications/kde/kbarcode.desktop %buildroot/%_menudir/%{name} kde

install -d %buildroot/%_miconsdir
install -d %buildroot/%_liconsdir
install -d %buildroot/%_iconsdir

install -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m644 %SOURCE2 %buildroot/%_iconsdir/%name.png
install -m644 %SOURCE3 %buildroot/%_liconsdir/%name.png
install -m644 %SOURCE4 $RPM_BUILD_DIR/%{name}-%{version}

rm %buildroot/%{_datadir}/apps/kbarcode/barcodes.html

# disable rpath
chrpath -d %buildroot/%{_bindir}/%{name}
chrpath -d %buildroot/%{_libdir}/kde3/kfile_kbarcode.so

%{find_lang} %name


%post
%{update_menus}
%if %mdkversion > 200600
%update_icon_cache hicolor
%endif

%postun
%{clean_menus}
%if %mdkversion > 200600
%clean_icon_cache hicolor
%endif


%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/*
%{_libdir}/kde3/kfile_kbarcode.la
%{_libdir}/kde3/kfile_kbarcode.so
%{_datadir}/services/kfile_kbarcode.desktop
%dir %{_datadir}/apps/kbarcode
%{_datadir}/apps/kbarcode/*
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/kde/kbarcode-batch.desktop
%{_datadir}/applications/kde/kbarcode-editor.desktop
%{_datadir}/applications/kde/kbarcode-label.desktop
%{_datadir}/applications/kde/kbarcode-single.desktop
%{_datadir}/applications/kde/kbarcode.desktop

%{_menudir}/%{name}

%files doc
%defattr(-,root,root,-)
%doc AUTHORS COPYING README kbarcode/barcodes.html


%changelog
* Wed Nov 08 2006 Lenny Cartier <lenny@mandriva.com> 2.0.5-1mdv2007.0
+ Revision: 78119
- Update to 2.0.5
- Import kbarcode

